<template>
    <div class="container-fluid">
        <!-- Vertical Layout -->
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header">
                        <h2>
                            SOCIAL LINKS
                        </h2>

                    </div>
                    <div class="body">
                        <form id="social" ref="social" action="javascript:void(0)" method="post" @submit="update">
                            <label >Facebook</label>
                            <div class="input-group">
                                <span class="input-group-addon"></span>
                                <div class="form-line">
                                    <input type="text" required v-model="info.facebook" id="name" name="facebook" class="form-control mobile-phone-number" placeholder="Enter facebook id link">
                                </div>
                            </div>
                            <label>Twitter</label>
                            <div class="input-group">
                                <span class="input-group-addon"></span>
                                <div class="form-line">
                                    <input type="text" required v-model="info.tweeter" id="twitter"  name="tweeter" class="form-control mobile-phone-number" placeholder="Enter twitter id link">
                                </div>
                            </div>
                            <label>Instagram</label>
                            <div class="input-group">
                                <span class="input-group-addon"></span>
                                <div class="form-line">
                                    <input type="text" required v-model="info.instagram" id="instagram" name="instagram" class="form-control mobile-phone-number" placeholder="Enter instagram id link">
                                </div>
                            </div>
                            <label>Youtube</label>
                            <div class="input-group">
                                <span class="input-group-addon"></span>
                                <div class="form-line">
                                    <input type="text" required v-model="info.youtube" id="youtube" name="youtube" class="form-control mobile-phone-number" placeholder="Enter youtube link">
                                </div>
                            </div>
                            <label>Linkedin</label>
                            <div class="input-group">
                                <span class="input-group-addon"></span>
                                <div class="form-line">
                                    <input type="text" required v-model="info.linkedin" id="linkedin" name="linkedin" class="form-control mobile-phone-number" placeholder="Enter linkedin id link">
                                </div>
                            </div>
                            <label>Skype</label>
                            <div class="input-group">
                                <span class="input-group-addon"></span>
                                <div class="form-line">
                                    <input type="text" required v-model="info.skype" id="skype" name="skype" class="form-control mobile-phone-number" placeholder="Enter skype id link">
                                </div>
                            </div>
                            <br>
                            <input type="submit" class="btn btn-primary" />
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Vertical Layout -->
    </div>
</template>

<script>
    export default {
        data(){
            return {
                info:{},
            }
        },
        created() {
            this.getInfo();
        },
        methods:{
            getInfo(){
                axios.get('/admin/social')
                .then((response)=>{
                    this.info=response.data;
                }).catch((error)=>{
                    this.info={};
                });
            },
            update(){
                axios.post('/admin/social/update', new FormData(this.$refs.social))
                .then((response)=>{
                    this.$toaster.success(response.data);
                }).catch((error)=>{
                    if (error.response.status === 422) this.$toaster.error(error.response.data.errors);
                    else this.$toaster.error(error);
                });
            }
        }
    }
</script>
